﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace Navigate
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void XamWebOutlookBar_SelectedGroupChanged(object sender, Infragistics.Silverlight.SelectedGroupChangedEventArgs e)
        {
            if (e.PreviousSelectedOutlookBarGroup == null)
                return;
            if (e.NewSelectedOutlookBarGroup.Name == "grpToday")
                this.Navigate("/Views/Today.xaml");
            else
                this.Navigate("/Views/Dashboard.xaml");
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.Navigate("/Views/Today.xaml");
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.Navigate("/Views/Dashboard.xaml");
        }

        private void Navigate(string page)
        {
            this.ContentMain.Navigate(new Uri(page, UriKind.Relative));
        }
    }
}
